Bug 1582574 (CVE-2018-10846)

Summary: CVE-2018-10846 gnutls: "Just in Time" PRIME + PROBE cache-based side channel attack can lead to plaintext recovery
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: ansasaki, erik-fedora, huzaifas, jv+fedora, mike, nmavrogi, petr.spacek, rh-spice-bugs, rjones, security-response-team, slawomir, tmraz, yjog
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A cache-based side channel attack was found in the way GnuTLS implements CBC-mode cipher suites. An attacker could use a combination of "Just in Time" Prime+probe and Lucky-13 attacks to recover plain text in a cross-VM attack scenario.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:26:40 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1589708, 1589709, 1619521, 1619522, 1619523, 1619524, 1619525, 1622403    
Bug Blocks: 1582575    

Description Adam Mariš 2018-05-25 15:39:00 UTC
A cache-based side channel in GnuTLS implementation that leads to plaintext recovery in cross-VM attack setting was found. The attack exploits a novel "Just in Time" PRIME + PROBE attack in combination with a new variant of the original Lucky 13 attack.

Comment 9 Huzaifa S. Sidhpurwala 2018-08-21 05:51:46 UTC
External References:

https://eprint.iacr.org/2018/747

Comment 10 Huzaifa S. Sidhpurwala 2018-08-21 05:54:35 UTC
Created gnutls tracking bugs for this issue:

Affects: fedora-all [bug 1619522]


Created gnutls30 tracking bugs for this issue:

Affects: epel-all [bug 1619524]


Created mingw-gnutls tracking bugs for this issue:

Affects: epel-all [bug 1619525]
Affects: fedora-all [bug 1619523]

Comment 12 Huzaifa S. Sidhpurwala 2018-08-21 06:01:23 UTC
Upstream patch:

https://gitlab.com/gnutls/gnutls/merge_requests/657

Comment 17 errata-xmlrpc 2018-10-30 07:24:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3050 https://access.redhat.com/errata/RHSA-2018:3050